﻿var Debug = true; //

//得到指定节日分组列表
//groupId: 节日类别id
function getHolidaySubGroup(groupId) {
    var groupId = parseInt(groupId);
    if (isNaN(groupId)) return;
    var obj = document.getElementById("main");
    var cache = "";
    if (!obj) return;

    var url = "http://app.106117.com/holiday.ashx?action=holidayGroup&groupId=" + groupId;
    cache = localStorage["cHolidayGroup" + groupId];

    
    if (!cache) {
        $.ajax({
            url: url,
            type: "get",
            data: {},
            dataType: "html",
            success: function (msg) {
                localStorage["cHolidayGroup" + groupId] = msg;
                obj.innerHTML = msg;
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                if (errorThrown == "")
                    $("#main").before("<div class='connectionTip'>网络不给力，请检查网络设置。</div>");
            },
            complete: function (XMLHttpRequest, textStatus) {
                this;
            }
        });
    } else {
        obj.innerHTML = cache;
    }
}

//得到节日短信列表
//groupId: 短信类别id
function getHolidayMsg(groupId) {
    var groupId = parseInt(groupId);

    $.ajax({
        url: "http://app.106117.com/Holiday.ashx",
        type: "get",
        data: { action: 'holidayDtl', holidayId: groupId },
        dataType: "html",
        success: function (msg) {
            var obj = document.getElementById("main");
            //obj.innerHTML = msg;

            var rec = "";
            var lst = unique(msg.split("</li>"));

            //给每个数组添加一段代码
            for (var i = 0; i < lst.length; i++) {
                var arr = lst[i].toString().replace("<li onclick='saveMsg(this)'>", "");
                if (arr != "")
                    rec += "<li onclick='openMore(this)'><span>" + arr + "</span><div>···群发</div></li>";
            }
            obj.innerHTML = rec;
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            if (errorThrown == "")
                $("#main").before("<div class='connectionTip'>网络不给力，请检查网络设置。</div>");
        },
        complete: function (XMLHttpRequest, textStatus) {
            this; // 调用本次AJAX请求时传递的options参数
        }
    });
}

/**
 * 短信类别与短信模板的方法
 */
//得到指定类别列表
//groupId: 短信类别id
function getMsgTemplates(data, name) {
    var data = data;
    var name = name;

    $.ajax({
        url: "http://app.106117.com/msgTemplate.ashx",
        type: "get",
        data: data,
        dataType: "html",
        success: function (msg) {
            //localStorage[name] = "";
            if (data.action == "getMsgList") {
                var rec = "";
                var lst = msg.split("</li>");
                lst = lst.filter(function (s) {
                    return s && s.trim();
                });

                //给每个数组添加一段代码
                for (var i = 0; i < lst.length; i++) {
                    var arr = lst[i].toString().replace("<li>","");
                    if (arr != "")
                        rec += "<li onclick='openMore(this)'><span>" + arr + "</span><div>···群发</div></li>";
                }
                if (data.page > 1) {
                    if (msg == "") {
                        msg = localStorage[name];
                        $("#more").html("没有更多了~~");
                        dropdown = false; //禁用下拉加载更多
                    }
                    else msg = localStorage[name] + rec;
                } else {
                    msg = rec;
                }
            } else {
                $("#more").hide();
            }
            $("#main").html(msg);
            localStorage[name] = msg;

           if (data.action == "getMsgGroup") {
                $(".dxCategory").addClass("groupId" + data.groupId);
                localStorage[name] = $("#main").html();
           }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            if (errorThrown == "")
                $("#main").before("<div class='connectionTip'>网络不给力，请检查网络设置。</div>");
        },
        complete: function (XMLHttpRequest, textStatus) {
            this;
        }
    });
}

//设置标题
function setTitle(head) {
    var obj = document.getElementById("dxHead");
    if (obj) {
        obj.innerText = head;
    }
}

//打开更多
function openMore(obj) {
    shortMsg = obj.firstChild.innerHTML;
    $('#popDiv').show();
    $('#popMask').show();
}

//关闭更多
function closeMore(obj) {
    $('#popDiv').hide();
    $('#popMask').hide();
}

//群发短信
function saveMsg() {
    //临时保存当前选择的信息,然后跳转到通讯录页
    hfy.send(shortMsg);
    closeMore();//成功后关闭弹出层
}

//发送定时短信
function saveMsgTiming() {
    //临时保存当前选择的信息,然后跳转到通讯录页
    var myDate = new Date();
    hfy.send(shortMsg,dateFormat("YYYY-mm-dd HH:MM:SS", myDate));
    closeMore();//成功后关闭弹出层
}

//复制到粘贴板
function copyText() {
    hfy.copy(shortMsg);
    closeMore();//成功后关闭弹出层
}

function dateFormat(fmt, date) {
    let ret;
    const opt = {
        "Y+": date.getFullYear().toString(),        // 年
        "m+": (date.getMonth() + 1).toString(),     // 月
        "d+": date.getDate().toString(),            // 日
        "H+": date.getHours().toString(),           // 时
        "M+": date.getMinutes().toString(),         // 分
        "S+": date.getSeconds().toString()          // 秒
        // 有其他格式化字符需求可以继续添加，必须转化成字符串
    };
    for (let k in opt) {
        ret = new RegExp("(" + k + ")").exec(fmt);
        if (ret) {
            fmt = fmt.replace(ret[1], (ret[1].length == 1) ? (opt[k]) : (opt[k].padStart(ret[1].length, "0")))
        };
    };
    return fmt;
}